## org.eclipse.m2m.qvt.oml.debug.core.vm
Class VMStackFrame

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.VMStackFrame

All Implemented Interfaces:
  java.io.Serializable

    public class VMStackFrame

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`long` `id`
`java.lang.String` `module`
`java.lang.String` `operationSignature`
`VMVariable[]` `visibleVariables`

Method Summary
`static VMStackFrame` `create(UnitLocation location)`
`static VMStackFrame` `create(UnitLocation location, boolean includeVars)`
`static VMStackFrame` `createFrame(long frameID, java.util.List<UnitLocation> stack)`
`VMLocation` `getLocation()`
`java.util.List<VMVariable>` `getVisibleVariables()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public long id

### module

    public java.lang.String module

### operationSignature

    public java.lang.String operationSignature

### visibleVariables

    public VMVariable[] visibleVariables

Method Detail

### getLocation

    public VMLocation getLocation()

### getVisibleVariables

    public java.util.List<VMVariable> getVisibleVariables()

### createFrame

    public static VMStackFrame createFrame(long frameID,
                                           java.util.List<UnitLocation> stack)

### create

    public static VMStackFrame create(UnitLocation location)

### create

    public static VMStackFrame create(UnitLocation location,
                                      boolean includeVars)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.